# BSVARdfev.R
#
# Generates DFEVs for the fitted BSVAR models
#
# Patrick T. Brandt
# pbrandt@utdallas.edu
#
# August 15, 2006
#
#

# Load the MSBVAR package
library(MSBVAR)

# Load the fitted models
load("BSVARfit.RData")

# Compute and print the DFEVs for the models

running.tally.dfev <- dfev(running.tally.model, k=48)
midrange.dfev <- dfev(midrange.model, k=48)
best.model.dfev <- dfev(best.model, k=48)
flatprior.model.dfev <- dfev(flatprior.model, k=48)
bestML.model <- dfev(bestML.model, k=48)

print(running.tally.dfev, latex=T, file="runningtallydfev.tex")
print(midrange.dfev, latex=T, file="midrangedfev.tex")
print(best.model.dfev, latex=T, file="bestmodeldfev.tex")
print(bestML.model, latex=T, file="bestMLmodeldfev.tex")
print(flatprior.model.dfev, latex=T, file="flatpriordfev.tex")


save.image("BSVARdfev.RData")
q(save="no")
